Update Item
curl --request PUT \
--url https://api.themoviedb.org/4/list/{list_id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"comment": "Amazing movie!",
"media_id": 194662,
"media_type": "movie"
},
{
"comment": "Wow.",
"media_id": 76203,
"media_type": "movie"
}
]
}
'import requests
url = "https://api.themoviedb.org/4/list/{list_id}/items"
payload = { "items": [
{
"comment": "Amazing movie!",
"media_id": 194662,
"media_type": "movie"
},
{
"comment": "Wow.",
"media_id": 76203,
"media_type": "movie"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{comment: 'Amazing movie!', media_id: 194662, media_type: 'movie'},
{comment: 'Wow.', media_id: 76203, media_type: 'movie'}
]
})
};
fetch('https://api.themoviedb.org/4/list/{list_id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"media_id": 194662,
"media_type": "movie",
"success": false
},
{
"media_id": 76203,
"media_type": "movie",
"success": false
}
],
"status_code": 1,
"status_message": "Success.",
"success": true
}Update Item
This endpoint update an individual item on a list
PUT
/
4
/
list
/
{list_id}
/
items
Update Item
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
the ID of the custom list
Example:
8510518
Body
application/json
Show child attributes
Show child attributes
Example:
[
{
"comment": "Amazing movie!",
"media_id": 194662,
"media_type": "movie"
},
{
"comment": "Wow.",
"media_id": 76203,
"media_type": "movie"
}
]
Response
200 - application/json
Update Item
⌘I